-#!/bin/bash
+#!/bin/sh
-cd client || exit -1
+set -eu
+
+cd client
rm -rf ./dist ./compiled
-#!/usr/bin/env sh
+#!/bin/sh
+
+set -eu
rm -rf ./dist
-#!/usr/bin/env sh
+#!/bin/sh
-cd client || exit -1
+set -eu
+
+cd client
rm -rf compiled/ dist/ dll/
-#!/usr/bin/env sh
+#!/bin/sh
+
+set -eu
rm -rf dist/
-#!/usr/bin/env sh
+#!/bin/sh
+
+set -eu
for i in $(seq 1 6); do
dropdb "peertube_test$i"
-#!/bin/bash
+#!/bin/sh
-cd client || exit -1
+set -eu
+
+cd client
npm run webpack-bundle-analyzer ./dist/stats.json
#!/bin/bash
+set -eu
+
read -p "This will remove all directories and SQL tables. Are you sure? (y/*) " -n 1 -r
echo
if [[ "$REPLY" =~ ^[Yy]$ ]]; then
- NODE_ENV=test npm run ts-node -- --type-check "./scripts/danger/clean/cleaner"
+ NODE_ENV=test npm run ts-node -- --type-check "scripts/danger/clean/cleaner"
fi
#!/bin/bash
+set -eu
+
read -p "This will remove all node server and client modules. Are you sure? " -n 1 -r
if [[ "$REPLY" =~ ^[Yy]$ ]]; then
#!/bin/bash
+set -eu
+
read -p "This will remove all directories and SQL tables. Are you sure? (y/*) " -n 1 -r
echo
-#!/usr/bin/env sh
+#!/bin/sh
+
+set -eu
NODE_ENV=test concurrently -k \
"npm run watch:client" \
-#!/usr/bin/env sh
+#!/bin/sh
+
+set -eu
NODE_ENV=test concurrently -k \
"npm run watch:client" \
-#!/usr/bin/env sh
+#!/bin/sh
+
+set -eu
if [ ! -f "./client/dist/index.html" ]; then
echo "client/dist/index.html does not exist, compile client files..."
-#!/usr/bin/env sh
+#!/bin/sh
+
+set -eu
npm run spectacle-docs -- -t support/doc/api/html support/doc/api/openapi.yaml
-#!/usr/bin/env bash
+#!/bin/sh
+
+set -eu
curl -s https://api.github.com/repos/chocobozzz/peertube/contributors | \
jq -r 'map("\\\n * [" + .login + "](" + .url + ")") | .[]' | \
-#!/usr/bin/env sh
+#!/bin/sh
+
+set -eu
printf "############# PeerTube help #############\n\n"
printf "npm run ...\n"
-#!/usr/bin/env sh
+#!/bin/sh
+
+set -eu
if [ ! -f "dist/server.js" ]; then
echo "Missing server file (server.js)."
max=${1:-3}
-for i in $(seq 1 $max); do
+for i in $(seq 1 "$max"); do
NODE_ENV=test NODE_APP_INSTANCE=$i node dist/server.js &
sleep 1
done
#!/bin/bash
+set -eu
+
shutdown() {
# Get our process group id
- PGID=$(ps -o pgid= $$ | grep -o [0-9]*)
+ PGID=$(ps -o pgid= $$ | grep -o "[0-9]*")
# Kill it in a new new process group
- setsid kill -- -$PGID
+ setsid kill -- -"$PGID"
exit 0
}
exit -1
fi
-if [ -z $GITHUB_TOKEN ]; then
+if [ -z "$GITHUB_TOKEN" ]; then
echo "Need GITHUB_TOKEN env set."
exit -1
fi
changelog=$(awk -v version="$version" '/## v/ { printit = $2 == version }; printit;' CHANGELOG.md | grep -v "$version" | sed '1{/^$/d}')
-echo -e "Changelog will be:\n"
-echo "$changelog"
-echo
+printf "Changelog will be:\n%s\n" "$changelog"
read -p "Are you sure to release? " -n 1 -r
echo
if [[ ! $REPLY =~ ^[Yy]$ ]]
then
- [[ "$0" = "$BASH_SOURCE" ]] && exit 0
+ exit 0
fi
-cd ./client || exit -1
-npm version --no-git-tag-version --no-commit-hooks $1 || exit -1
+( cd client
+ npm version --no-git-tag-version --no-commit-hooks "$1"
+)
-cd ../ || exit -1
-npm version -f --no-git-tag-version --no-commit-hooks $1 || exit -1
+npm version -f --no-git-tag-version --no-commit-hooks "$1"
-git commit package.json client/package.json -m "Bumped to version $version" || exit -1
+git commit package.json client/package.json -m "Bumped to version $version"
git tag -s -a "$version" -m "$version"
-npm run build || exit -1
-rm "./client/dist/stats.json" || exit -1
+npm run build
+rm "./client/dist/stats.json"
-cd ../ || exit -1
+cd ..
-ln -s "PeerTube" "$directory_name" || exit -1
+ln -s "PeerTube" "$directory_name"
zip -r "PeerTube/$zip_name" "$directory_name/CREDITS.md" "$directory_name/FAQ.md" \
"$directory_name/LICENSE" "$directory_name/README.md" \
"$directory_name/client/dist/" "$directory_name/client/yarn.lock" \
"$directory_name/client/package.json" "$directory_name/config" \
"$directory_name/dist" "$directory_name/package.json" \
"$directory_name/scripts" "$directory_name/support" \
- "$directory_name/tsconfig.json" "$directory_name/yarn.lock" \
- || exit -1
-rm "$directory_name" || exit -1
+ "$directory_name/tsconfig.json" "$directory_name/yarn.lock"
+
+rm "$directory_name"
-cd "PeerTube" || exit -1
+cd "PeerTube"
git push origin --tag
-#!/bin/bash
+#!/bin/sh
-npm run build:server || exit -1
-npm run travis -- lint || exit -1
+set -eu
+
+npm run build:server
+npm run travis -- lint
mocha --exit --require ts-node/register/type-check --bail server/tests/index.ts
-#!/bin/bash
+#!/bin/sh
+
+set -eu
if [ $# -eq 0 ]; then
echo "Need test suite argument."
npm run build:server
mocha --timeout 5000 --exit --require ts-node/register/type-check --bail server/tests/api/index-slow.ts
elif [ "$1" = "lint" ]; then
- cd client || exit -1
- npm run lint || exit -1
+ ( cd client
+ npm run lint
+ )
- cd .. || exit -1
- npm run tslint -- --project ./tsconfig.json -c ./tslint.json server.ts "server/**/*.ts" "shared/**/*.ts" || exit -1
+ npm run tslint -- --project ./tsconfig.json -c ./tslint.json server.ts "server/**/*.ts" "shared/**/*.ts"
fi
-#!/usr/bin/env bash
+#!/bin/sh
-# Strict mode
-set -e
+set -eu
# Backup database
SQL_BACKUP_PATH="/var/www/peertube/backup/sql-peertube_prod-$(date +\"%Y%m%d-%H%M\").bak"
# Get and Display the Latest Version
VERSION=$(curl -s https://api.github.com/repos/chocobozzz/peertube/releases/latest | grep tag_name | cut -d '"' -f 4)
echo "Latest Peertube version is $VERSION"
-wget -q "https://github.com/Chocobozzz/PeerTube/releases/download/${VERSION}/peertube-${VERSION}.zip" -O /var/www/peertube/versions/peertube-${VERSION}.zip
+wget -q "https://github.com/Chocobozzz/PeerTube/releases/download/${VERSION}/peertube-${VERSION}.zip" -O "/var/www/peertube/versions/peertube-${VERSION}.zip"
cd /var/www/peertube/versions
-unzip -o peertube-${VERSION}.zip
-rm -f peertube-${VERSION}.zip
+unzip -o "peertube-${VERSION}.zip"
+rm -f "peertube-${VERSION}.zip"
# Upgrade Scripts
rm -rf /var/www/peertube/peertube-latest
-ln -s /var/www/peertube/versions/peertube-${VERSION} /var/www/peertube/peertube-latest
-cd /var/www/peertube/peertube-latest
+ln -s "/var/www/peertube/versions/peertube-${VERSION}" /var/www/peertube/peertube-latest
+cd /var/www/peertube/peertube-latest
yarn install --production --pure-lockfile
cp /var/www/peertube/peertube-latest/config/default.yaml /var/www/peertube/config/default.yaml
echo "Differences in configuration files..."
-diff /var/www/peertube/versions/peertube-${VERSION}/config/production.yaml.example /var/www/peertube/config/production.yaml
+diff "/var/www/peertube/versions/peertube-${VERSION}/config/production.yaml.example" /var/www/peertube/config/production.yaml
-exit 0
-#!/usr/bin/env sh
+#!/bin/sh
-cd client || exit -1
+set -eu
+
+cd client
npm run ng -- server --hmr --host 0.0.0.0 --disable-host-check --port 3000
-#!/usr/bin/env sh
+#!/bin/sh
+
+set -eu
NODE_ENV=test concurrently -k \
"npm run tsc -- --sourceMap && npm run nodemon -- --delay 2 --watch ./dist dist/server" \